<?php if( ! defined( 'ABSPATH' ) ) exit();

extract( $args );

$dateformat 	= ovabrw_get_date_format();
$placeholder 	= ovabrw_get_placeholder_date_format( $dateformat );
$hour_default 	= ovabrw_get_setting( get_option( 'ova_brw_booking_form_default_hour', '07:00' ) );
$time_step 		= ovabrw_get_setting( get_option( 'ova_brw_booking_form_step_time', '30' ) );

// form action
$action 		= home_url();
if ( isset( $args['search_result'] ) && ( 'new_page' == $args['search_result'] ) ) {
	$action = $args['search_result_url']['url'];
}

$check_in_label  	= $args['check_in_label'];
$icon_check_in   	= $args['icon_check_in'];
$icon_check_out   	= $args['icon_check_out'];
$check_out_label 	= $args['check_out_label'];
$guests_label 	 	= $args['guests_label']; 
$guests_placeholder = $args['guests_placeholder'];

$button_label 	= $args['button_label'];
$adults_label 	= $args['adults_label'];
$max_adult 		= $args['max_adult'];
$min_adult 		= $args['min_adult'];

$default_adult_number 	 = $args['default_adult_number'];
$default_children_number = $args['default_children_number'];

$childrens_label	= $args['childrens_label'];
$max_children 		= $args['max_children'];
$min_children 		= $args['min_children'];

$icon_guests    = $args['icon_guests'];
$gueststotal 	= (int)$default_adult_number + (int)$default_children_number;

?>

<div class="ovabrw-search2">

	<form action="<?php echo esc_url( $action ); ?>" method="GET" class="ovabrw-search-form">

		<div class="ovabrw-s-field">

			<div class="search-field">
				<div class="ovabrw-label">
					<?php 
					    if( $icon_check_in ) {
					    	\Elementor\Icons_Manager::render_icon( $icon_check_in, [ 'aria-hidden' => 'true' ] );
					    }     
				    ?>
					<span class="label"><?php echo esc_html( $check_in_label ); ?></span>
				</div>
				<div class="ovabrw-input">
					<input 
						type="text" 
						name="ovabrw_pickup_date" 
						class="ovabrw_datetimepicker ovabrw_start_date" 
						placeholder="<?php echo esc_attr( $placeholder ); ?>" 
						autocomplete="off" 
						data-hour_default="<?php echo esc_attr( $hour_default ); ?>" 
						data-time_step="<?php echo esc_attr( $time_step ); ?>" 
						data-dateformat="<?php echo esc_attr( $dateformat ); ?>" 
						onkeydown="return false" 
						onfocus="blur();" />
				</div>
			</div>

			<div class="search-field">
				<div class="ovabrw-label">
					<?php 
					    if( $icon_check_out ) {
					    	\Elementor\Icons_Manager::render_icon( $icon_check_out, [ 'aria-hidden' => 'true' ] );
					    }     
				    ?>
					<span class="label"><?php echo esc_html( $check_out_label ); ?></span>
				</div>
				<div class="ovabrw-input">
					<input 
						type="text" 
						name="ovabrw_pickoff_date" 
						class="ovabrw_datetimepicker ovabrw_end_date" 
						placeholder="<?php echo esc_attr( $placeholder ); ?>" 
						autocomplete="off" 
						data-hour_default="<?php echo esc_attr( $hour_default ); ?>" 
						data-time_step="<?php echo esc_attr( $time_step ); ?>" 
						data-dateformat="<?php echo esc_attr( $dateformat ); ?>" 
						onkeydown="return false" 
						onfocus="blur();" />
				</div>
			</div>

			<div class="search-field guestspicker-control">
				<div class="ovabrw-label">
					<?php 
					    if( $icon_guests ) {
					    	\Elementor\Icons_Manager::render_icon( $icon_guests, [ 'aria-hidden' => 'true' ] );
					    }     
				    ?>
					<span class="label"><?php echo esc_html( $guests_label ); ?></span>
				</div>
				<div class="ovabrw-guestspicker">
					<div class="guestspicker">
						<span class="gueststotal"><?php echo esc_attr( $gueststotal ); ?></span>
						<span class="guestslabel"><?php echo esc_html( $guests_placeholder ); ?></span>
						<i aria-hidden="true" class="ovaicon ovaicon-download"></i>
					</div>
				</div>
				<div class="ovabrw-guestspicker-content">
					<div class="guests-buttons">
						<div class="description">
							<label><?php echo esc_html( $adults_label ); ?></label>
						</div>
						<div class="guests-button">
							<div class="guests-icon minus">
								<i class="ovaicon ovaicon-minus"></i>
							</div>
							<input 
								type="text" 
								id="ovabrw_adults" 
								name="ovabrw_adults" 
								class="ovabrw_adults" 
								value="<?php echo esc_attr( $default_adult_number ); ?>" 
								min="<?php echo esc_attr( $min_adult ); ?>" 
								max="<?php echo esc_attr( $max_adult ); ?>" />
							<div class="guests-icon plus">
								<i class="ovaicon ovaicon-plus"></i>
							</div>
						</div>
					</div>

					<div class="guests-buttons">
						<div class="description">
							<label><?php echo esc_html( $childrens_label ); ?></label>
						</div>
						<div class="guests-button">
							<div class="guests-icon minus">
								<i class="ovaicon ovaicon-minus"></i>
							</div>
							<input 
								type="text" 
								id="ovabrw_childrens" 
								name="ovabrw_childrens" 
								class="ovabrw_childrens" 
								value="<?php echo esc_attr( $default_children_number ); ?>" 
								min="<?php echo esc_attr( $min_children ); ?>" 
								max="<?php echo esc_attr( $max_children ); ?>" />
							<div class="guests-icon plus">
								<i class="ovaicon ovaicon-plus"></i>
							</div>
						</div>
					</div>
				</div>
			</div>

		</div>

		<div class="ovabrw-search-btn">
			<?php if ( isset( $args['search_result'] ) && ( 'default' == $args['search_result'] ) ): ?>
				<input type="hidden" name="ovabrw_search_product" value="ovabrw_search_product" />
                <input type="hidden" name="ovabrw_search" value="search_item" />
                <input type="hidden" name="post_type" value="product" />
			<?php endif; ?>
			<button class="ovabrw-btn" type="submit">
				<?php 
				    if( $icon_button ) {
				    	\Elementor\Icons_Manager::render_icon( $icon_button, [ 'aria-hidden' => 'true' ] );
				    }   
				    printf( $button_label );    
			    ?>
			</button>
		</div>

	</form>
	
</div>